function [s,v]=listdialogbox(strname,pos, boxsize,boxname, promptstring, Cancellstring, Okstring,Helpstring,pointtype)
% display a list dialogbox at the defined position
% strname: includes all lists with a string cell array
% pos: position of the left-bottom point;
% boxsize: size of the dialog box;
% boxname: the name of the list dialog box;
% promptstring: prompt string in the dialog box;
% Cancellstring: string shown on the cancell button;
% OK string: string shown on the OK button;
if nargin<2
    pos=[300 200]; boxsize=[200 200]; boxname='List Dialogbox'; promptstring='Select the list';    Cancellstring = 'Cancell';
    Okstring = 'OK';pointtype='single';
elseif nargin<3
    boxsize=[200 200];boxname='List Dialogbox'; promptstring='Select the list';    Cancellstring = 'Cancell';
    Okstring = 'OK';pointtype='single';
elseif nargin<4
    boxname='List Dialogbox';promptstring='Select the list';    Cancellstring = 'Cancell';
    Okstring = 'OK';pointtype='single';
elseif nargin<5
    promptstring='Select the list';Cancellstring = 'Cancell';
    Okstring = 'OK';pointtype='single';
elseif nargin<6
    Cancellstring = 'Cancell';Okstring = 'OK';pointtype='single';
elseif nargin<7
    Okstring = 'OK';pointtype='single';
elseif nargin<8
    pointtype='single';
elseif nargin<9
    pointtype='single';
end; 


deffigpos=get(0, 'defaultfigureposition');
figpos=[pos(1) pos(2) deffigpos(3:4)];
set(0,'defaultfigureposition',figpos);
if nargin<8   %% two buttons
 [s,v] = listdlg3button('PromptString',promptstring,...
                'SelectionMode',pointtype,'Name',boxname,...
                'ListString',strname,'ListSize',boxsize,'CancelString',Cancellstring,'OKString',Okstring,'HelpString','');
else  %% three buttons
[s,v] = listdlg3button('PromptString',promptstring,...
                'SelectionMode',pointtype,'Name',boxname,...
                'ListString',strname,'ListSize',boxsize,'CancelString',Cancellstring,'OKString',Okstring,'HelpString',Helpstring);
end;
           
            
set(0,'defaultfigureposition',deffigpos);